#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	hunspell
Version		:	1.7.0
Release		:	14.4.0.0%{?dist}
Summary		:	A spell checker and morphological analyzer library
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	(LGPLv2+ or GPLv2+ or MPLv1.1) and (LGPLv2+ or SISSL)
URL		:	https://github.com/hunspell/hunspell/releases

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
%{hunspell} is a spell checker and morphological analyzer library and
program designed for languages with rich morphology and complex word
compounding or character encoding. Hunspell interfaces: Ispell-like
terminal interface using Curses library, Ispell pipe interface,
OpenOffice.org UNO module.

#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vfi
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/*.{h,hxx}
%{_bindir}/affixcompress
%{_bindir}/analyze
%{_bindir}/chmorph
%{_bindir}/hun*
%{_bindir}/hzip
%{_bindir}/ispellaff2myspell
%{_bindir}/makealias
%{_bindir}/*munch
%{_bindir}/word*
%{_libdir}/lib%{name}-*.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/*/man1/hun*.1.gz
%{_mandir}/man1/hun*.1.gz
%{_mandir}/man1/hzip*.1.gz
%{_mandir}/man3/%{name}.3.gz
%{_mandir}/man5/%{name}.5.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
